# AIInfo Class Reference

All static information from an AI like name, version, etc. More...

`#include <ai_info.hpp>`

Inheritance diagram for AIInfo:

## Public Member Functions
bool | GetSettings ()
| Get the settings of the AI.
const AIConfigItemList * | GetConfigList () const
| Get the config list for this AI.
const AIConfigItem * | GetConfigItem (const char *name) const
| Get the description of a certain ai config option.
bool | CanLoadFromVersion (int version) const
| Check if we can start this AI.
SQInteger | AddSetting (HSQUIRRELVM vm)
| Set a setting.
SQInteger | AddLabels (HSQUIRRELVM vm)
| Add labels for a setting.
int | GetSettingDefaultValue (const char *name) const
| Get the default value for a setting.
bool | UseAsRandomAI () const
| Use this AI as a random AI.
const char * | GetAPIVersion () const
| Get the API version this AI is written for.
## Static Public Member Functions
static const char * | GetClassName ()
static SQInteger | Constructor (HSQUIRRELVM vm)
| Create an AI, using this AIInfo as start-template.
static SQInteger | DummyConstructor (HSQUIRRELVM vm)
| Create a dummy-AI.
## Private Attributes
AIConfigItemList | config_list
| List of settings from this AI.
int | min_loadable_version
| The AI can load savegame data if the version is equal or greater than this.
bool | use_as_random
| Should this AI be used when the user wants a "random AI"?
const char * | api_version
| API version used by this AI.

## Detailed Description

All static information from an AI like name, version, etc.

Definition at line 64 of file ai_info.hpp.

The documentation for this class was generated from the following files:

- src/ai/ai_info.hpp
- src/ai/ai_info.cpp